<?php

/**
 * @author Bastiaan Welmers <haasje@welmers.net>
 *
 * cache layer to a Date object 
 */
class Cache_Date extends Cache implements Interface_Date 
{
	public function toString($format = null, $type = null, $locale = null)
	{
		return parent::__call('toString', array($format, $type, $locale));
	}
	
	public function compare($date, $part = null, $locale = null)
	{
		return parent::__call('compare', array($date, $part, $locale));
	}
	
	public function isEarlier($date, $part = null, $locale = null)
	{
		return parent::__call('isEarlier', array($date, $part, $locale));
	}
	
	public function isLater($date, $part = null, $locale = null)
	{
		return parent::__call('isLater', array($date, $part, $locale));
	}
}
